API ReferenceFiles

Discard unsaved changes and keep the last saved files

POST
/v1/sessions/{session_id}/files/discard-save

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

session_id*string
Match^ses_[A-Za-z0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/sessions/string/files/discard-save" \  -H "Content-Type: application/json" \  -d '{    "save_operation_id": "string"  }'
{  "id": "string",  "run_id": "string",  "tool_step_id": "string",  "last_committed_generation": 0,  "state": "saving",  "recovery": "none",  "error": {    "message": "string",    "type": "invalid_request_error",    "param": "string",    "code": "invalid_request"  }}